:root {
  --base: calc(100vw / 1080);
}

* {
  padding: 0;
  margin: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  outline: 0;
  -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
  -webkit-overflow-scrolling: touch;
}
body,
html {
  height: 100%;
  overflow: hidden;
}
body {
  font-family:
    "Segoe UI", "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei",
    "Helvetica Neue", Helvetica, Arial, sans-serif, "Apple Color Emoji",
    "Segoe UI Emoji", "Segoe UI Symbol";
  margin: 0 auto;
  position: relative;
}
button {
  background: none;
  display: block;
  border: none;
  cursor: pointer;
}
img[back] {
  width: 100%;
  display: block;
  pointer-events: none;
}
img[ver] {
  height: 100%;
  display: block;
  pointer-events: none;
}
.page {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: absolute;
  top: 0;
  left: 0;
  transition: all 0.65s ease-in;
}
.fade-in {
  opacity: 0;
  pointer-events: none;
}
.page1 {
  background-image: url("../img/1/bg.jpg");
  background-size: cover;
	z-index:9;
}
.p1-1 {
  position: absolute;
  width: calc(var(--base) * 400);
  top: calc(var(--base) * 40);
  left: calc(var(--base) * 40);
}
.p1-2 {
  position: absolute;
  width: calc(var(--base) * 1144);
  top: 10%;
  left: calc(var(--base) * -32);
}
.p1-3 {
  position: absolute;
  width: calc(var(--base) * 906);
  bottom: 0;
  left: calc(var(--base) * 100);
}
.p1-4 {
  position: absolute;
  width: calc(var(--base) * 1080);
  top: calc(10% + calc(var(--base) * 764));
}
.p1-5 {
  position: absolute;
  width: calc(var(--base) * 628);
  top: calc(10% + calc(var(--base) * 1340));
  left: calc(var(--base) * 226);
}
.p1-6 {
  position: absolute;
  width: calc(var(--base) * 60);
  top: 20%;
  right: calc(var(--base) * 20);
  animation: flash 1.6s infinite;
}
.page2 {
  background-image: url("../img/2/bg.jpg");
  background-size: cover;
  z-index: 2;
}
.p2-1 {
  width: calc(var(--base) * 856);
  margin-top: calc(var(--base) * 100);
  margin-left: auto;
  margin-right: auto;
}
.p2-2 {
  position: absolute;
  width: calc(var(--base) * 60);
  top: calc(var(--base) * 100);
  right: calc(var(--base) * 100);
  animation: flash 1.6s infinite;
}
.barrages {
  position: relative;
  height: calc(100% - var(--base) * 801);
  overflow: hidden;
}
.barrage {
  position: absolute;
  height: calc(var(--base) * 85);
  left: 100%;
}
@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(calc(-100vw - 100%));
  }
}

.page3 {
  background-image: url("../img/3/bg.jpg");
  background-size: cover;
  z-index: 4;
}
.p3-1 {
  width: calc(var(--base) * 1080);
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 3;
}
.p3-2 {
  width: calc(var(--base) * 75);
  position: absolute;
  right: calc(var(--base) * 40);
  top: calc(var(--base) * 30);
  z-index: 10;
}
.p3-text {
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translate(-50%);
  width: calc(var(--base) * 1058);
  z-index: 4;
}
.p3-logo {
  width: calc(var(--base) * 251);
  position: absolute;
  bottom: calc(var(--base) * 100);
  left: calc(var(--base) * 414.5);
  z-index: 5;
}
.p3-head {
  position: absolute;
  top: var(--top);
  left: calc(var(--base) * (1080 - var(--width)) / 2);
  width: calc(var(--base) * var(--width));
  z-index: 2;
}
.p3-svg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
}
.p3-result {
  position: absolute;
  display: block;
  z-index: 9;
  opacity: 0;
  width: 100%;
  height: 100%;
}
.videos {
  background-color: #000;
}
.videos video {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: scale-down;
}
.tip {
  position: absolute;
  bottom: 4%;
  width: calc(var(--base) * 35);
  line-height: 1;
  font-size: calc(var(--base) * 32);
  color: #3f3f3f;
  right: 5%;
  pointer-events: none;
  z-index: 5;
}
.p3-ts {
  position: absolute;
  bottom: -2%;
  width: 100%;
  left: 0;
  display: none;
}
.p3-6 {
  width: calc(var(--base) * 800);
  position: absolute;
  top: 68%;
  left: 50%;
  transform: translate(-50%);
}
.p3-7 {
  width: calc(var(--base) * 469);
  position: absolute;
  top: 6%;
  left: 8%;
}
.p3-8 {
  width: calc(var(--base) * 1058);
  margin: 0 auto;
}
.p3-ts-img {
  width: calc(var(--base) * 820);
  position: absolute;
  top: 19%;
  left: 10%;
  height: 44%;
  overflow: auto;
  padding-left: calc(var(--base) * 30);
  border-left: calc(var(--base) * 6) solid #b5b5b5;
  padding-right: calc(var(--base) * 30);
}
.p2-5 {
  position: absolute;
  width: calc(var(--base) * 264);
  top: 24%;
  left: 44%;
}
.page3 div {
  user-select: none;
}
.p1-7 {
  position: absolute;
  width: calc(var(--base) * 264);
  right: calc(var(--base) * 40);
  top: calc(var(--base) * 40);
}
.p1-8 {
  position: absolute;
  width: calc(var(--base) * 79);
  right: calc(var(--base) * 40);
  top: calc(var(--base) * 40);
  animation: flash 1.6s infinite;
}
@keyframes flash {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.5;
    transform: translate3d(0, 2%, 0);
  }
  100% {
    opacity: 1;
  }
}
.videos header {
  display: flex;
  justify-content: space-between;
  padding-top: calc(var(--base) * 40);
  padding-left: calc(var(--base) * 40);
  padding-right: calc(var(--base) * 40);
}
.videos main {
  display: flex;
  padding-left: calc(var(--base) * 40);
  padding-right: calc(var(--base) * 40);
  padding-top: calc(var(--base) * 120);
  color: #7d7d7d;
  flex: 1;
  overflow: hidden;
}
.ds-icon {
  width: calc(var(--base) * 100);
  height: calc(var(--base) * 100);
  align-self: baseline;
  border: 1px solid #b5b5b5;
  border-radius: 50%;
}
.ds-icon > svg {
  width: 100%;
  height: 100%;
}
.ds-say {
  flex: 1;
  margin-left: calc(var(--base) * 60);
}
.ds-say-1,
.ds-say-2 {
  color: #383838;
  font-size: calc(var(--base) * 48);
  margin-bottom: calc(var(--base) * 40);
  display: none;
}
.ds-say-3 {
  font-size: calc(var(--base) * 44);
  line-height: 1.5;
  padding-left: calc(var(--base) * 40);
  position: relative;
}
.ds-say-3::before {
  content: "";
  background-color: #f5f5f5;
  width: calc(var(--base) * 4);
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}
.loading {
  position: absolute;
  width: calc(var(--base) * 60);
  margin-top: calc(var(--base) * 20);
  animation: 0.6s linear infinite ds-loading;
}
@keyframes ds-loading {
  100% {
    transform: rotate(360deg);
  }
}
footer {
  padding: calc(var(--base) * 40);
  font-size: calc(var(--base) * 44);
}
.ds-open {
  border: 1px solid #b5b5b5;
  border-radius: 50px;
  padding: calc(var(--base) * 20);
  width: calc(var(--base) * 360);
  justify-content: center;
  display: flex;
  align-items: center;
  margin: 0 auto calc(var(--base) * 30);
}
.ds-input {
  background: #ededed;
  color: #747473;
  padding: calc(var(--base) * 20);
  border-radius: 50px;
  margin-bottom: calc(var(--base) * 30);
}
.ds-tool {
  display: flex;
  justify-content: space-between;
}
.ds-tool > div {
  display: flex;
  gap: calc(var(--base) * 20);
}
.ds-tool > div > div {
  background: #e4f0ff;
  color: #5885c4;
  border-radius: 50px;
  justify-content: center;
  display: flex;
  align-items: center;
  padding: calc(var(--base) * 10) calc(var(--base) * 20);
}
.ds-pause {
  width: calc(var(--base) * 100);
  height: calc(var(--base) * 100);
  background: #3a81f4;
  border-radius: 50%;
  position: relative;
}
.ds-pause::after {
  content: "";
  position: absolute;
  background: #fff;
  width: 40%;
  height: 40%;
  border-radius: calc(var(--base) * 10);
  top: 30%;
  left: 30%;
}
video {
  width: 100%;
  height: 100%;
  object-fit: fill;
  display: block;
}
.animateCanvas {
  top: var(--top);
  left: calc(var(--base) * var(--left));
  width: calc(var(--base) * var(--width));
  display: block;
}
.jump {
  position: absolute;
  bottom: 2%;
  line-height: 1;
  font-size: calc(var(--base) * 36);
  color: #eee;
  right: 5%;
  background-color: #616161;
  padding: calc(var(--base) * 10) calc(var(--base) * 20);
  border-radius: 50px;
  z-index: 100;
	opacity:0
}
.video-tip{
  position: absolute;
  width: calc(var(--base) * 44);
  top: 50%;
  right: 5%;
  transform: translateY(-50%);
  color: #fff;
  z-index: 100;
  line-height: 1.2;
	opacity:0
}